package com.rjconsultores.ventaboletos.enums;

public enum TipoOperacaoECommerce {

	CADASTRO_CLIENTE(1, "Cadastro Cliente"), 
	ESQUECER_SENHA(2, "Esquecer Senha"), 
	COMPRA_PASSAGEM(3, "Compra de passagem"), 
	COMPRA_CANCELAMENTO(4, "Cancelamento de compra"),
	;

	private Integer id;
	private String descricao;

	private TipoOperacaoECommerce(Integer id, String descricao) {
		this.descricao = descricao;
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public static TipoOperacaoECommerce buscarPorId(Integer id) {
		for (TipoOperacaoECommerce ids : TipoOperacaoECommerce.values()) {
			if (ids.getId() == id) {
				return ids;
			}
		}
		return null;
	}

	@Override
	public String toString() {
		return descricao;
	}

}
